Part Offset2D

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part Offset2D and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano

Part Offset2D.png Part Offset2D

Emplacement du menu
Pièce → 2D Offset
Ateliers
Pièce
Raccourci par défaut
Aucun
Voir aussi
Pièce Offset 3D, Pièce Thickness, Draft Offset


Part Offset2D Demo.png

Description

Part 2D Offset génère un profil parallèle au profil d'origine, à une distance définie de celui-ci. Il est également possible de d'agrandir/réduire une face plane de la même façon.

Le profil / la face doit être plan. il peux y avoir plusieurs profils dans un objet, sans être nécessairement coplanaire.

Utilisation

  1. sélectionner un objet a décaler
  2. cliquer sur la commande Part Offset2D
  3. définir la valeur de décalage dans le panneau des taches, puis valider.

Un objet 2D Offset paramétrique est crée. les object originaux sont basculés en mode de rendu filaire.

Propriétés

Offset

  • DATASource: liens vers la forme d'origine
  • DATAValue Valeurs d'agrandissement de la face/profil. Si négatif la dimension de la face/profile est réduite .
  • DATAMode ("Pipe" or "Skin"): Définie le traitement des profils non fermés. Si "Pipe" est selectionné , le profile est décaler comme une contour fermé extrêmement petit. Si "Skin" est sélectionné, un profil ouvert est créé.

Part Offset2D Mode.png

  • DATAJoin ("Arc", "Tangent", "Intersection"): Défini le traitement des coin. avec "Arc", les segment décalés sont joint par des cercles, dont le centre est le sommet d'origine. "Tangent" n'est pas supporté pour OCC7.0.0. "Intersection": les segment sont agrandis jusqu'a ce qu'ils se croisent.

Part Offset2D Join.png

  • DATAIntersection ("false", "true"): Définis si les profil multiple sont traité indépendamment ou ensemble. Avec "false", les profil sont traités indépendamment les uns des autres, les intersection avec les profils résultants sont ignorés. Avec "true", les profils sont gérés de façon collectives.

Part Offset2D Intersection.png

Seuls les profils dans un composé sont couplés. Par exemple, si la structure est composé (wire1, wire2, compound (wire3, wire4)), wire1 et wire2 seront traités collectivement, mais indépendamment de wire3 et wire4. De même, wire3 et wire4 sont traités collectivement, mais indépendamment de wire1 + wire2.

De plus, en mode collectif, les directions des profils sont importantes et influencent la direction du décalage. Ceci est étroitement lié à la façon dont les trous dans les faces sont traités.

Les profils traités collectivement doivent être coplanaires. Les profils devant être décalés indépendamment n'ont pas besoin d'être coplanaires.

  • DATAFill ("false", "true"): Si "true", l'espace entre le profil / face original et le décalage forme une face.

Part Offset2D Fill.png

Problèmes Connus

  • L'utilisation de l'outil peut bloquer FreeCAD (voir le point suivant). Sur Windows, ces accidents sont convertis en exceptions et ne provoquent généralement pas la fermeture de FreeCAD; Sur d'autres systèmes d'exploitation, ce n'est pas le cas. Il est donc conseillé d'enregistrer un projet avant d'essayer d'utiliser l'outil.
  • L'agrandissement des faces avec des trous circulaires d'une valeur suffisamment grande pour que les trous se referment, génère un crash (OCC 7.0.0). Le problème semble être spécifique aux cercles; D'autres formes semblent se terminer correctement.
  • le décalage de cercle a une position different de zéro, génère un mauvais positionnement (OCC7.0.0)
  • Le décalage de cercle, ce fait parfois dans la mauvaise direction (e.g. a l'intérieur au lieu de l'extérieur ).(OCC 7.0.0)
  • Fill = "true" ne fonctionne pas avec décalage collectif de profils ouverts en mode "Skin"
  • le mode de jonction "Tangent" ne fonctionne pas (OCC 7.0.0)
  • Les profils fait d'un seul segment ne sont pas pris en charge (car un segment ne définit pas un plan). Les profils à un seul segment ne peuvent pas non plus participer au décalage collectif.

Scripte

L'outil peut être utilisé dans une macros et depuis la console python en utilisant les fonctions suivantes:

f = App.ActiveDocument.addObject("Part::Offset2D", "Offset2D")
f.Source =  #some object
f.Value = 10.0 

2D offset est également disponible comme méthode de Part.Shape. Exemple:

import Part
circle = Part.Circle().toShape()
enlarged_circle = circle.makeOffset2D(10.0)
Part.show(circle)
Part.show(enlarged_circle)
# makeOffset2D(offset, join = 0, fill = False, openResult = false, intersection = false)
# 
# * offset: distance to expand the shape by. 
# 
# * join: method of offsetting non-tangent joints. 0 = arcs, 1 = tangent, 2 =
# intersection
# 
# * fill: if true, the output is a face filling the space covered by offset. If
# false, the output is a wire/face.
# 
# * openResult: True for "Skin" mode; False for Pipe mode. 
# 
# * intersection: collective offset
# 
# Returns: result of offsetting (wire or face or compound of those). Compounding
# structure follows that of source shape. 

Versions

Cette fonctions a été introduite dans FreeCAD v017.8350. La pluspart des modes optionnel fonctionneront uniquement avec OCC 7.0.0 ou supérieur.